/**
 * Copyright (C) 1998-1999, Gopalan Suresh Raj.
 * All Rights Reserved.
 * 
 * This source code is part of a COM/DNA tutorial 
 * being developed by me.
 * 
 * See detailed instructions at my web site at
 * http://www.execpc.com/~gopalan
 * 
 */

package bank;

import com.ms.com.*;
import com.ms.com.IUnknown;
import com.ms.com.Variant;

/** @com.register(clsid=07D690F4-FB95-11D2-97E3-006097A7D34F, 
 * typelib=07D690F0-FB95-11D2-97E3-006097A7D34F, version="1.0")
 */
public class CheckingPKImpl 
 implements IUnknown, com.ms.com.NoAutoScripting, bank.IAccountKeyDefault {
 
 public static final int CHECKING_BASE = 11;
 public static final int CHECKING_HIGH = 10000;
 
 int m_accountNumber;

 //////////////////////////////////////////////////////////////////// 
 public void setKey(int key) {
 //////////////////////////////////////////////////////////////////// 
  
  if ( (key < CHECKING_BASE) ||
       (key > CHECKING_HIGH) ) {
   throw new com.ms.com.ComFailException (1, "Invalid Checking Primary Key");
  }

  m_accountNumber = key;
 }
}
