/**
 * Copyright (C) 1998-1999, Gopalan Suresh Raj.
 * All Rights Reserved.
 * 
 * This source code is part of a COM/DNA tutorial 
 * being developed by me.
 * 
 * See detailed instructions at my web site at
 * http://www.execpc.com/~gopalan
 * 
 */

package bank;

import com.ms.com.*;
import com.ms.com.IUnknown;
import com.ms.com.Variant;
import com.ms.mtx.*;

/** @com.register(clsid=07D690F9-FB95-11D2-97E3-006097A7D34F, 
 * typelib=07D690F0-FB95-11D2-97E3-006097A7D34F, version="1.0")
 * @com.transaction (required)
 */
public class SavingsImpl implements IUnknown,com.ms.com.NoAutoScripting,
 bank.ISavingsHomeDefault,bank.ISavingsDefault {
 
 public void create(bank.IAccountKey key, String name, 
                    float interestRate, double startingBalance) {
  throw new com.ms.com.ComFailException(0x80004001); // E_NOTIMPL
 }

 public void credit(double amount, bank.IAccountKey key) {
  throw new com.ms.com.ComFailException(0x80004001); // E_NOTIMPL
 }

 public void debit(double amount, bank.IAccountKey key) {
  throw new com.ms.com.ComFailException(0x80004001); // E_NOTIMPL
 }

 public double getBalance(bank.IAccountKey key) {
  throw new com.ms.com.ComFailException(0x80004001); // E_NOTIMPL
 }

 public String getCustomerName(bank.IAccountKey key) {
  throw new com.ms.com.ComFailException(0x80004001); // E_NOTIMPL
 }

 public float getInterestRate(bank.IAccountKey key) {
  throw new com.ms.com.ComFailException(0x80004001); // E_NOTIMPL
 }

}
